{% extends 'base.html' %}
 
{% block content %}
    <div class="container">
        <div class="row">
            <div class="col">
                <h1>{{title}}</h1>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <form method="post">
                    {% csrf_token %}
                    <div class="form-error">{{ form.non_field_errors }}</div>

                    {% for f in form %}
                        {% if f.label == "Пользователь" %}
                            <div class="input-group mb-3">
                                <span class="input-group-text">{{f.label}}</span>
                                <input type="text" class="form-control form-control-lg" id="InputEmail1" name="{{ f.name }}" aria-label="username"
                           placeholder="username " aria-describedby="basic-addon1">
                            </div>
                        {% elif f.label == "Пароль" %}
                            <div class="input-group mb-3">
                                <span class="input-group-text"> {{f.label}} </span>
                                <input type="password" class="form-control form-control-lg" id="InputPassword" name="{{ f.name }}" aria-label="Password"
                           placeholder="Пароль " aria-describedby="basic-addon1">
                            </div>
                        {% endif %}
                        <div class="form-error">{{ f.errors }}</div>
                    {% endfor %}
                    <button class="button" type="submit">Войти</button>
                </form>
            </div>
        </div>
    </div>
 
{% endblock %}

